flowgrindd(1)

NAME
flowgrindd - advanced TCP traffic generator for Linux, FreeBSD, and Mac OS X

SYNOPSIS
flowgrindd [OPTION]...

DESCRIPTION
flowgrindd is the daemon for the advanced TCP traffic generator flowgrind(1). Using the flowgrind(1) controller, distributed network performance measurement tests can be set up between an arbitrary number of hosts running flowgrindd, the flowgrind daemon.

OPTIONS
Mandatory arguments to long options are mandatory for short options too.

-b ADDR
    XML-RPC server bind address. An easy way to enable support for IPv6 control-connections is to specify the IPv6 wildcard address "::"

-c #
    bound daemon to specific CPU. First CPU is 0

-d  don't fork into background, increase debugging verbosity. Add option multiple times to increase the verbosity

-h, --help
    display this help and exit

-p #
    XML-RPC server port

-w DIR
    target directory for dump files. Requires compiling flowgrind with libpcap support. The daemon must be run as root

-v, --version
    print version information and exit

AUTHORS
Flowgrind was original started by Daniel Schaffrath. The distributed measurement architecture and advanced traffic generation were later on added by Tim Kosse and Christian Samsel. Currently, flowgrind is developed and maintained Arnd Hannemann and Alexander Zimmermann.

BUGS

The development and maintenance of flowgrind is primarily done via github <https://github.com/flowgrind/flowgrind>. Please report bugs via the issue webpage <https://github.com/flowgrind/flowgrind/issues>.

SEE ALSO
flowgrind(1), flowgrind-stop(1)